Ignore:
Timestamp:
Sep 13, 2009 2:24:20 PM (11 years ago)
Author:
stefan
Message:

revert my recent changes related to BSPsplit after copying them into branches

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r1396 r1411  
    434434PACKAGE_BUGREPORT='http://projects.coin-or.org/BuildTools/newticket'
    435435
    436 ac_unique_file="glpk/include/glpk.h"
     436ac_unique_file="Makefile.am"
    437437ac_default_prefix=`pwd`
    438438# Factoring default headers for most tests.
     
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GLPKOBJDIR COIN_BUILD_GLPK_TRUE COIN_BUILD_GLPK_FALSE MAKEOKFILE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10731073                          optimize for fast installation [default=yes]
    10741074  --disable-libtool-lock  avoid locking (might break parallel builds)
     1075  --enable-glpk-libcheck use disable-glpk-libcheck to skip the
     1076                          link check at configuration time
    10751077  --enable-gnu-packages   compile with GNU packages (disabled by default)
    10761078  --enable-odbc           enable MathProg ODBC support [default=auto]
     
    10871089  --with-tags[=TAGS]
    10881090                          include additional configurations [automatic]
     1091  --with-glpk-incdir specify the header file directory for library Glpk
     1092  --with-glpk-lib specify the flags used to link with the library Glpk
    10891093
    10901094Some influential environment variables:
     
    47284732*-*-irix6*)
    47294733  # Find out which ABI we are using.
    4730   echo '#line 4730 "configure"' > conftest.$ac_ext
     4734  echo '#line 4734 "configure"' > conftest.$ac_ext
    47314735  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47324736  (eval $ac_compile) 2>&5
     
    63276331
    63286332# Provide some information about the compiler.
    6329 echo "$as_me:6329:" \
     6333echo "$as_me:6333:" \
    63306334     "checking for Fortran 77 compiler version" >&5
    63316335ac_compiler=`set X $ac_compile; echo $2`
     
    73947398   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73957399   -e 's:$: $lt_compiler_flag:'`
    7396    (eval echo "\"\$as_me:7396: $lt_compile\"" >&5)
     7400   (eval echo "\"\$as_me:7400: $lt_compile\"" >&5)
    73977401   (eval "$lt_compile" 2>conftest.err)
    73987402   ac_status=$?
    73997403   cat conftest.err >&5
    7400    echo "$as_me:7400: \$? = $ac_status" >&5
     7404   echo "$as_me:7404: \$? = $ac_status" >&5
    74017405   if (exit $ac_status) && test -s "$ac_outfile"; then
    74027406     # The compiler can only warn and ignore the option if not recognized
     
    76627666   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76637667   -e 's:$: $lt_compiler_flag:'`
    7664    (eval echo "\"\$as_me:7664: $lt_compile\"" >&5)
     7668   (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
    76657669   (eval "$lt_compile" 2>conftest.err)
    76667670   ac_status=$?
    76677671   cat conftest.err >&5
    7668    echo "$as_me:7668: \$? = $ac_status" >&5
     7672   echo "$as_me:7672: \$? = $ac_status" >&5
    76697673   if (exit $ac_status) && test -s "$ac_outfile"; then
    76707674     # The compiler can only warn and ignore the option if not recognized
     
    77667770   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77677771   -e 's:$: $lt_compiler_flag:'`
    7768    (eval echo "\"\$as_me:7768: $lt_compile\"" >&5)
     7772   (eval echo "\"\$as_me:7772: $lt_compile\"" >&5)
    77697773   (eval "$lt_compile" 2>out/conftest.err)
    77707774   ac_status=$?
    77717775   cat out/conftest.err >&5
    7772    echo "$as_me:7772: \$? = $ac_status" >&5
     7776   echo "$as_me:7776: \$? = $ac_status" >&5
    77737777   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77747778   then
     
    1011110115  lt_status=$lt_dlunknown
    1011210116  cat > conftest.$ac_ext <<EOF
    10113 #line 10113 "configure"
     10117#line 10117 "configure"
    1011410118#include "confdefs.h"
    1011510119
     
    1021110215  lt_status=$lt_dlunknown
    1021210216  cat > conftest.$ac_ext <<EOF
    10213 #line 10213 "configure"
     10217#line 10217 "configure"
    1021410218#include "confdefs.h"
    1021510219
     
    1255512559   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255612560   -e 's:$: $lt_compiler_flag:'`
    12557    (eval echo "\"\$as_me:12557: $lt_compile\"" >&5)
     12561   (eval echo "\"\$as_me:12561: $lt_compile\"" >&5)
    1255812562   (eval "$lt_compile" 2>conftest.err)
    1255912563   ac_status=$?
    1256012564   cat conftest.err >&5
    12561    echo "$as_me:12561: \$? = $ac_status" >&5
     12565   echo "$as_me:12565: \$? = $ac_status" >&5
    1256212566   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256312567     # The compiler can only warn and ignore the option if not recognized
     
    1265912663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266012664   -e 's:$: $lt_compiler_flag:'`
    12661    (eval echo "\"\$as_me:12661: $lt_compile\"" >&5)
     12665   (eval echo "\"\$as_me:12665: $lt_compile\"" >&5)
    1266212666   (eval "$lt_compile" 2>out/conftest.err)
    1266312667   ac_status=$?
    1266412668   cat out/conftest.err >&5
    12665    echo "$as_me:12665: \$? = $ac_status" >&5
     12669   echo "$as_me:12669: \$? = $ac_status" >&5
    1266612670   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266712671   then
     
    1422914233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423014234   -e 's:$: $lt_compiler_flag:'`
    14231    (eval echo "\"\$as_me:14231: $lt_compile\"" >&5)
     14235   (eval echo "\"\$as_me:14235: $lt_compile\"" >&5)
    1423214236   (eval "$lt_compile" 2>conftest.err)
    1423314237   ac_status=$?
    1423414238   cat conftest.err >&5
    14235    echo "$as_me:14235: \$? = $ac_status" >&5
     14239   echo "$as_me:14239: \$? = $ac_status" >&5
    1423614240   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423714241     # The compiler can only warn and ignore the option if not recognized
     
    1433314337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433414338   -e 's:$: $lt_compiler_flag:'`
    14335    (eval echo "\"\$as_me:14335: $lt_compile\"" >&5)
     14339   (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
    1433614340   (eval "$lt_compile" 2>out/conftest.err)
    1433714341   ac_status=$?
    1433814342   cat out/conftest.err >&5
    14339    echo "$as_me:14339: \$? = $ac_status" >&5
     14343   echo "$as_me:14343: \$? = $ac_status" >&5
    1434014344   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434114345   then
     
    1654016544   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654116545   -e 's:$: $lt_compiler_flag:'`
    16542    (eval echo "\"\$as_me:16542: $lt_compile\"" >&5)
     16546   (eval echo "\"\$as_me:16546: $lt_compile\"" >&5)
    1654316547   (eval "$lt_compile" 2>conftest.err)
    1654416548   ac_status=$?
    1654516549   cat conftest.err >&5
    16546    echo "$as_me:16546: \$? = $ac_status" >&5
     16550   echo "$as_me:16550: \$? = $ac_status" >&5
    1654716551   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654816552     # The compiler can only warn and ignore the option if not recognized
     
    1680816812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680916813   -e 's:$: $lt_compiler_flag:'`
    16810    (eval echo "\"\$as_me:16810: $lt_compile\"" >&5)
     16814   (eval echo "\"\$as_me:16814: $lt_compile\"" >&5)
    1681116815   (eval "$lt_compile" 2>conftest.err)
    1681216816   ac_status=$?
    1681316817   cat conftest.err >&5
    16814    echo "$as_me:16814: \$? = $ac_status" >&5
     16818   echo "$as_me:16818: \$? = $ac_status" >&5
    1681516819   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681616820     # The compiler can only warn and ignore the option if not recognized
     
    1691216916   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691316917   -e 's:$: $lt_compiler_flag:'`
    16914    (eval echo "\"\$as_me:16914: $lt_compile\"" >&5)
     16918   (eval echo "\"\$as_me:16918: $lt_compile\"" >&5)
    1691516919   (eval "$lt_compile" 2>out/conftest.err)
    1691616920   ac_status=$?
    1691716921   cat out/conftest.err >&5
    16918    echo "$as_me:16918: \$? = $ac_status" >&5
     16922   echo "$as_me:16922: \$? = $ac_status" >&5
    1691916923   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692016924   then
     
    1981819822###########################################################################
    1981919823
    19820 echo "$as_me:$LINENO: checking for COIN project Glpk" >&5
    19821 echo $ECHO_N "checking for COIN project Glpk... $ECHO_C" >&6
    19822 
    19823 # First check, if the sub-project is actually available (ToDo: allow
    19824 # other locations)
    19825 
    19826 coin_has_glpk=unavailable
    19827 if test x"$COIN_SKIP_PROJECTS" != x; then
    19828   for dir in $COIN_SKIP_PROJECTS; do
    19829     if test $dir = Glpk; then
    19830       coin_has_glpk=skipping
    19831     fi
    19832   done
    19833 fi
    19834 
    19835 if test $coin_has_glpk != skipping; then
    19836   if test $PACKAGE_TARNAME = glpk; then
    19837     coin_has_glpk=.
    19838   else
    19839     if test -d $srcdir/../Glpk; then
    19840       coin_has_glpk=../Glpk
    19841     fi
    19842   fi
    19843 fi
    19844 
    19845 if test $coin_has_glpk != unavailable &&
    19846    test $coin_has_glpk != skipping; then
    19847   # Set the #define if the component is available
    19848 
    19849 cat >>confdefs.h <<\_ACEOF
    19850 #define COIN_HAS_GLPK 1
    19851 _ACEOF
    19852 
    19853 
    19854   # Set the variables for source and object code location
    19855 
    19856   GLPKSRCDIR=`cd $srcdir/$coin_has_glpk; pwd`
    19857 
    19858   GLPKOBJDIR=`pwd`/$coin_has_glpk
    19859 
    19860   GLPKDOCDIR=$abs_lib_dir/../share/doc/coin/Glpk
    19861 fi
    19862 
    19863   # Define the Makefile conditional
    19864 
    19865 
    19866 if test $coin_has_glpk != unavailable &&
    19867                 test $coin_has_glpk != skipping; then
    19868   COIN_HAS_GLPK_TRUE=
    19869   COIN_HAS_GLPK_FALSE='#'
    19870 else
    19871   COIN_HAS_GLPK_TRUE='#'
    19872   COIN_HAS_GLPK_FALSE=
    19873 fi
    19874 
    19875 echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
    19876 echo "${ECHO_T}$coin_has_glpk" >&6
    19877 
    19878 
    1987919824# This macro checks for a library containing the GLPK library.  It
    1988019825# checks if the user has provided an argument for the GLPK library,
     
    1988719832
    1988819833## Check if GLPK is already provided by user
    19889 #AC_COIN_HAS_GLPK(Glpk)
    19890 
    19891 #rm -f $MAKEOKFILE
    19892 #if test x"$use_thirdpartyglpk" = xbuild ; then
    19893 #  touch $MAKEOKFILE
     19834
     19835if test "$PACKAGE_NAME" = ThirdPartyGlpk; then
     19836  coin_glpkobjdir=../Glpk
     19837else
     19838  coin_glpkobjdir=../ThirdParty/Glpk
     19839fi
     19840coin_glpksrcdir=$abs_source_dir/$coin_glpkobjdir
     19841
     19842use_thirdpartyglpk=no
     19843
     19844# Check for the requested component. If the user specified an external glpk
     19845# library don't force a ThirdParty build, let the error propagate.
     19846
     19847
     19848  echo "$as_me:$LINENO: checking if user provides library for Glpk" >&5
     19849echo $ECHO_N "checking if user provides library for Glpk... $ECHO_C" >&6
     19850
     19851# Check for header file directory
     19852
     19853
     19854# Check whether --with-glpk-incdir or --without-glpk-incdir was given.
     19855if test "${with_glpk_incdir+set}" = set; then
     19856  withval="$with_glpk_incdir"
     19857  GLPKINCDIR=`cd $withval; pwd`
     19858fi;
     19859
     19860# Check for library directory
     19861
     19862
     19863# Check whether --with-glpk-lib or --without-glpk-lib was given.
     19864if test "${with_glpk_lib+set}" = set; then
     19865  withval="$with_glpk_lib"
     19866  GLPKLIB=$withval
     19867fi;
     19868
     19869# Switch to disable library check if requested
     19870
     19871  # Check whether --enable-glpk-libcheck or --disable-glpk-libcheck was given.
     19872if test "${enable_glpk_libcheck+set}" = set; then
     19873  enableval="$enable_glpk_libcheck"
     19874  glpk_libcheck=$enableval
     19875else
     19876  glpk_libcheck=yes
     19877fi;
     19878
     19879# At this point, if we're going to use the library, both LBRYINCDIR and
     19880# LBRYLIB must be defined and not empty.
     19881
     19882  if test x"$GLPKINCDIR" != x || test x"$GLPKLIB" != x; then
     19883    if test x"$GLPKINCDIR" = x || test x"$GLPKLIB" = x; then
     19884      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&5
     19885echo "$as_me: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&2;}
     19886   { (exit 1); exit 1; }; }
     19887    fi
     19888    coin_has_glpk=true
     19889    echo "$as_me:$LINENO: result: yes" >&5
     19890echo "${ECHO_T}yes" >&6
     19891  else
     19892    coin_has_glpk=false
     19893    echo "$as_me:$LINENO: result: no" >&5
     19894echo "${ECHO_T}no" >&6
     19895  fi
     19896
     19897# If we have instructions for use, consider header and link checks.
     19898
     19899  if test $coin_has_glpk = true; then
     19900
     19901# If argument 3 (file) is given, check for the file. Typically this will be a
     19902# header file, but that's not assumed.
     19903
     19904    if test -r $GLPKINCDIR/glpk.h; then
     19905
     19906  :
     19907else
     19908  { { echo "$as_me:$LINENO: error: Cannot find file glpk.h in $GLPKINCDIR" >&5
     19909echo "$as_me: error: Cannot find file glpk.h in $GLPKINCDIR" >&2;}
     19910   { (exit 1); exit 1; }; }
     19911  :
     19912fi
     19913
     19914
     19915# Now see if we can link the function. There are arguments for and against
     19916# assuming argument 3 is a header file declaring the function. A correct
     19917# function declaration is the main argument in favour. Having to cope with
     19918# possible dependencies or other oddities are the main arguments against.
     19919# Force the use of C as the best single choice amongst C++, C, and Fortran.
     19920# Obviously, this has limits.
     19921
     19922    if test x"$glpk_libcheck" != xno; then
     19923           coin_save_LIBS="$LIBS"
     19924           LIBS="$GLPKLIB $ADDLIBS"
     19925           coin_GLPK_link=no
     19926           ac_ext=c
     19927ac_cpp='$CPP $CPPFLAGS'
     19928ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     19929ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     19930ac_compiler_gnu=$ac_cv_c_compiler_gnu
     19931
     19932           for fnm in _glp_lpx_simplex glp_lpx_simplex ; do
     19933             echo "$as_me:$LINENO: checking whether symbol $fnm is available with GLPK" >&5
     19934echo $ECHO_N "checking whether symbol $fnm is available with GLPK... $ECHO_C" >&6
     19935             cat >conftest.$ac_ext <<_ACEOF
     19936/* confdefs.h.  */
     19937_ACEOF
     19938cat confdefs.h >>conftest.$ac_ext
     19939cat >>conftest.$ac_ext <<_ACEOF
     19940/* end confdefs.h.  */
     19941
     19942int
     19943main ()
     19944{
     19945$fnm()
     19946  ;
     19947  return 0;
     19948}
     19949_ACEOF
     19950rm -f conftest.$ac_objext conftest$ac_exeext
     19951if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19952  (eval $ac_link) 2>conftest.er1
     19953  ac_status=$?
     19954  grep -v '^ *+' conftest.er1 >conftest.err
     19955  rm -f conftest.er1
     19956  cat conftest.err >&5
     19957  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19958  (exit $ac_status); } &&
     19959         { ac_try='test -z "$ac_c_werror_flag"
     19960                         || test ! -s conftest.err'
     19961  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19962  (eval $ac_try) 2>&5
     19963  ac_status=$?
     19964  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19965  (exit $ac_status); }; } &&
     19966         { ac_try='test -s conftest$ac_exeext'
     19967  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19968  (eval $ac_try) 2>&5
     19969  ac_status=$?
     19970  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19971  (exit $ac_status); }; }; then
     19972  echo "$as_me:$LINENO: result: yes" >&5
     19973echo "${ECHO_T}yes" >&6
     19974                  coin_GLPK_link=yes
     19975                  break
     19976else
     19977  echo "$as_me: failed program was:" >&5
     19978sed 's/^/| /' conftest.$ac_ext >&5
     19979
     19980echo "$as_me:$LINENO: result: no" >&5
     19981echo "${ECHO_T}no" >&6
     19982fi
     19983rm -f conftest.err conftest.$ac_objext \
     19984      conftest$ac_exeext conftest.$ac_ext
     19985           done
     19986           ac_ext=c
     19987ac_cpp='$CPP $CPPFLAGS'
     19988ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     19989ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     19990ac_compiler_gnu=$ac_cv_c_compiler_gnu
     19991
     19992           if test x"$coin_GLPK_link" = xyes ; then
     19993             LIBS="$coin_save_LIBS"
     19994           else
     19995             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&5
     19996echo "$as_me: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&2;}
     19997   { (exit 1); exit 1; }; }
     19998           fi
     19999         fi
     20000
     20001
     20002# If we make it this far, we've verified the file and linked the function. Add
     20003# the necessary link flags to ADDLIBS and define the preprocessor symbol
     20004# COIN_HAS_LBRY.
     20005
     20006    ADDLIBS="$GLPKLIB $ADDLIBS"
     20007
     20008cat >>confdefs.h <<\_ACEOF
     20009#define COIN_HAS_GLPK 1
     20010_ACEOF
     20011
     20012  fi
     20013
     20014# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     20015# automake conditional. These actions must occur unconditionally.
     20016
     20017
     20018
     20019
     20020
     20021if test $coin_has_glpk = true; then
     20022  COIN_HAS_GLPK_TRUE=
     20023  COIN_HAS_GLPK_FALSE='#'
     20024else
     20025  COIN_HAS_GLPK_TRUE='#'
     20026  COIN_HAS_GLPK_FALSE=
     20027fi
     20028
     20029
     20030 if test x"$coin_has_glpk" = xfalse && test x"$GLPKLIB" = x ; then
     20031   use_thirdpartyglpk=try
     20032 fi
     20033
     20034
     20035# If the user has supplied an external library, use it. Otherwise, consider
     20036# a build in ThirdParty/Glpk. If we build, assume we get both glpk and gmpl.
     20037
     20038if test x"$use_thirdpartyglpk" = xtry ; then
     20039  MAKEOKFILE=.MakeOk
     20040  # Check if the Glpk's ThirdParty project has been configured
     20041  if test "$PACKAGE_NAME" != ThirdPartyGlpk; then
     20042    if test -r $coin_glpkobjdir/.MakeOk; then
     20043      use_thirdpartyglpk=build
     20044    else
     20045      use_thirdpartyglpk=no
     20046    fi
     20047  else
     20048    use_thirdpartyglpk=build
     20049  fi
     20050
     20051# If we're building, set the library and include directory variables, create a
     20052# preprocessor symbol, define a variable that says we're using glpk/gmpl, and
     20053# another to indicate a link check is a bad idea (hard to do before the library
     20054# exists).
     20055
     20056  if test x"$use_thirdpartyglpk" = xbuild ; then
     20057    GLPKINCDIR="$coin_glpksrcdir/glpk/include"
     20058
     20059
     20060cat >>confdefs.h <<\_ACEOF
     20061#define COIN_HAS_GLPK 1
     20062_ACEOF
     20063
     20064    coin_has_glpk=true
     20065    glpk_libcheck=no
     20066    GLPKOBJDIR=`cd $coin_glpkobjdir; pwd`
     20067
     20068    { echo "$as_me:$LINENO: Using Glpk in ThirdParty/Glpk" >&5
     20069echo "$as_me: Using Glpk in ThirdParty/Glpk" >&6;}
     20070  fi
     20071fi
     20072
     20073# Define the necessary automake conditionals.
     20074
     20075
     20076
     20077if test x"$coin_has_glpk" = xtrue; then
     20078  COIN_HAS_GLPK_TRUE=
     20079  COIN_HAS_GLPK_FALSE='#'
     20080else
     20081  COIN_HAS_GLPK_TRUE='#'
     20082  COIN_HAS_GLPK_FALSE=
     20083fi
     20084
     20085
     20086
     20087if test x"$use_thirdpartyglpk" = xbuild; then
     20088  COIN_BUILD_GLPK_TRUE=
     20089  COIN_BUILD_GLPK_FALSE='#'
     20090else
     20091  COIN_BUILD_GLPK_TRUE='#'
     20092  COIN_BUILD_GLPK_FALSE=
     20093fi
     20094
     20095
     20096
     20097
     20098rm -f $MAKEOKFILE
     20099if test x"$use_thirdpartyglpk" = xbuild ; then
     20100  touch $MAKEOKFILE
    1989420101  echo "$as_me:$LINENO: checking GLPK version" >&5
    1989520102echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
    19896   glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    19897   glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    19898   echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
    19899 echo "${ECHO_T}${glpkmajorver}.${glpkminorver}" >&6
    19900   if test x$glpkmajorver != x4 || test x$glpkminorver != x39 ; then
     20103  majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     20104  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     20105  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
     20106echo "${ECHO_T}${majorver}.${minorver}" >&6
     20107  if test x$majorver != x4 || test x$minorver != x39 ; then
    1990120108    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
    1990220109echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
    1990320110   { (exit 1); exit 1; }; }
    1990420111  fi
    19905 
    19906 
    19907 #else
    19908 #  if test x$coin_has_glpk = xtrue ; then
    19909 #    AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
    19910 #  else
    19911 #    AC_MSG_WARN([Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?])
    19912 #  fi
    19913 #  MAKEOKFILE=
    19914 #fi
    19915 #AC_SUBST(MAKEOKFILE)
     20112else
     20113  if test x$coin_has_glpk = xtrue ; then
     20114    { echo "$as_me:$LINENO: The Glpk sources don't need to be compiled" >&5
     20115echo "$as_me: The Glpk sources don't need to be compiled" >&6;}
     20116  else
     20117    { echo "$as_me:$LINENO: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&5
     20118echo "$as_me: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&2;}
     20119  fi
     20120  MAKEOKFILE=
     20121fi
     20122
    1991620123
    1991720124###########################################################################
     
    2079120998
    2079220999if test "$enable_dl" = "no"; then
    20793   #if test x"" = x; then
     21000#if test x"" = x; then
    2079421001#  hdr="#include <ltdl.h>"
    2079521002#else
     
    2120121408  enableval="$enable_odbc"
    2120221409  case $enableval in
    21203      yes | unix)
     21410           yes | unix)
    2120421411       #if test x"" = x; then
    2120521412#  hdr="#include <sql.h>"
     
    2136821575       enable_odbc="no"
    2136921576     ;;
    21370      *)
    21371        { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-odbc" >&5
     21577           *)
     21578             { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-odbc" >&5
    2137221579echo "$as_me: error: invalid value '$enableval' for --enable-odbc" >&2;}
    2137321580   { (exit 1); exit 1; }; }
    21374      ;;
     21581           ;;
    2137521582   esac
    2137621583else
     
    2154121748  enableval="$enable_mysql"
    2154221749  case $enableval in
    21543      yes)
     21750           yes)
    2154421751       #if test x"" = x; then
    2154521752#  hdr="#include <mysql.h mysql/mysql.h>"
     
    2170921916       enable_mysql="no"
    2171021917     ;;
    21711      *)
    21712        { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-mysql" >&5
     21918           *)
     21919             { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-mysql" >&5
    2171321920echo "$as_me: error: invalid value '$enableval' for --enable-mysql" >&2;}
    2171421921   { (exit 1); exit 1; }; }
    21715      ;;
     21922           ;;
    2171621923   esac
    2171721924else
     
    2198022187
    2198122188
    21982                                         ac_config_files="$ac_config_files Makefile glpk_addlibs.txt glpk.pc glpk-uninstalled.pc"
     22189                    ac_config_files="$ac_config_files Makefile glpk_addlibs.txt"
    2198322190
    2198422191          ac_config_headers="$ac_config_headers config_glpk.h"
     
    2217922386Usually this means the macro was only invoked conditionally." >&5
    2218022387echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
     22388Usually this means the macro was only invoked conditionally." >&2;}
     22389   { (exit 1); exit 1; }; }
     22390fi
     22391if test -z "${COIN_HAS_GLPK_TRUE}" && test -z "${COIN_HAS_GLPK_FALSE}"; then
     22392  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK\" was never defined.
     22393Usually this means the macro was only invoked conditionally." >&5
     22394echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
     22395Usually this means the macro was only invoked conditionally." >&2;}
     22396   { (exit 1); exit 1; }; }
     22397fi
     22398if test -z "${COIN_BUILD_GLPK_TRUE}" && test -z "${COIN_BUILD_GLPK_FALSE}"; then
     22399  { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_GLPK\" was never defined.
     22400Usually this means the macro was only invoked conditionally." >&5
     22401echo "$as_me: error: conditional \"COIN_BUILD_GLPK\" was never defined.
    2218122402Usually this means the macro was only invoked conditionally." >&2;}
    2218222403   { (exit 1); exit 1; }; }
     
    2263522856  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    2263622857  "glpk_addlibs.txt" ) CONFIG_FILES="$CONFIG_FILES glpk_addlibs.txt" ;;
    22637   "glpk.pc" ) CONFIG_FILES="$CONFIG_FILES glpk.pc" ;;
    22638   "glpk-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES glpk-uninstalled.pc" ;;
    2263922858  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2264022859  "config_glpk.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config_glpk.h" ;;
     
    2281823037s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2281923038s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    22820 s,@GLPKSRCDIR@,$GLPKSRCDIR,;t t
    22821 s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
    22822 s,@GLPKDOCDIR@,$GLPKDOCDIR,;t t
     23039s,@GLPKINCDIR@,$GLPKINCDIR,;t t
     23040s,@GLPKLIB@,$GLPKLIB,;t t
    2282323041s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2282423042s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
    22825 s,@glpkmajorver@,$glpkmajorver,;t t
    22826 s,@glpkminorver@,$glpkminorver,;t t
     23043s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
     23044s,@COIN_BUILD_GLPK_TRUE@,$COIN_BUILD_GLPK_TRUE,;t t
     23045s,@COIN_BUILD_GLPK_FALSE@,$COIN_BUILD_GLPK_FALSE,;t t
     23046s,@MAKEOKFILE@,$MAKEOKFILE,;t t
    2282723047s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
    2282823048s,@COIN_HAS_ZLIB_FALSE@,$COIN_HAS_ZLIB_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.